Bug 1181194 - Review Request: scamp - compute astrometric and photometric solutions
Summary: Review Request: scamp - compute astrometric and photometric solutions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Astronomy-SIG
TreeView+ depends on / blocked
 
Reported: 2015-01-12 14:49 UTC by Christian Dersch
Modified: 2015-02-07 04:01 UTC (History)
2 users (show)

Fixed In Version: scamp-2.0.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-07 03:58:12 UTC
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christian Dersch 2015-01-12 14:49:30 UTC
Spec URL: https://lupinix.fedorapeople.org/review/scamp.spec
SRPM URL: https://lupinix.fedorapeople.org/review/scamp-2.0.4-1.fc21.src.rpm
Description: compute astrometric and photometric solutions from sextractor catalogs
Fedora Account System Username: lupinix

Thanks for review in advance!

Comment 1 Florian "der-flo" Lehner 2015-01-27 19:11:58 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "GPL (v3 or later)", "GPL (v3 or later) (with
     incorrect FSF address) LGPL (v3 or later) (with incorrect FSF address)".
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/man/manx
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/man/manx
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=8740185
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 4597760 bytes in /usr/share
   ---> *.ahead files are necessary for scamp to work 
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: scamp-2.0.4-1.fc22.x86_64.rpm
          scamp-2.0.4-1.fc22.src.rpm
scamp.x86_64: W: spelling-error Summary(en_US) astrometric -> barometric, astronomic, asymmetric
scamp.x86_64: W: spelling-error Summary(en_US) photometric -> photo metric, photo-metric, photometer
scamp.x86_64: W: spelling-error Summary(en_US) sextractor -> extractor, extractors, s extractor
scamp.x86_64: W: summary-not-capitalized C compute astrometric and photometric solutions from sextractor catalogs
scamp.x86_64: W: spelling-error %description -l en_US astrometric -> barometric, astronomic, asymmetric
scamp.x86_64: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
scamp.src: W: spelling-error Summary(en_US) astrometric -> barometric, astronomic, asymmetric
scamp.src: W: spelling-error Summary(en_US) photometric -> photo metric, photo-metric, photometer
scamp.src: W: spelling-error Summary(en_US) sextractor -> extractor, extractors, s extractor
scamp.src: W: summary-not-capitalized C compute astrometric and photometric solutions from sextractor catalogs
scamp.src: W: spelling-error %description -l en_US astrometric -> barometric, astronomic, asymmetric
scamp.src: W: spelling-error %description -l en_US photometric -> photo metric, photo-metric, photometer
2 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
scamp (rpmlib, GLIBC filtered):
    cdsclient
    libc.so.6()(64bit)
    libfftw3f.so.3()(64bit)
    libfftw3f_threads.so.3()(64bit)
    libm.so.6()(64bit)
    libplplotd.so.12()(64bit)
    libpthread.so.0()(64bit)
    libsatlas.so.3()(64bit)
    rtld(GNU_HASH)



Provides
--------
scamp:
    scamp
    scamp(x86-64)



Source checksums
----------------
http://www.astromatic.net/download/scamp/scamp-2.0.4.tar.gz :
  CHECKSUM(SHA256) this package     : cbcd57f5042feefa081dc0c5ff07f7f50114a7ef41e79c060ed163caae119d41
  CHECKSUM(SHA256) upstream package : cbcd57f5042feefa081dc0c5ff07f7f50114a7ef41e79c060ed163caae119d41


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1181194
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
      APPROVED

Comment 2 Christian Dersch 2015-01-27 21:38:22 UTC
Thank you very much for the review!

Comment 3 Christian Dersch 2015-01-27 21:40:30 UTC
New Package SCM Request
=======================
Package Name: scamp
Short Description: compute astrometric and photometric solutions from sextractor catalogs
Upstream URL: http://www.astromatic.net/software/scamp
Owners: lupinix
Branches: f20 f21
InitialCC:

Comment 4 Gwyn Ciesla 2015-01-28 11:52:17 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-01-28 13:58:54 UTC
scamp-2.0.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/scamp-2.0.4-1.fc21

Comment 6 Fedora Update System 2015-01-29 00:36:53 UTC
scamp-2.0.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/scamp-2.0.4-1.fc20

Comment 7 Fedora Update System 2015-01-30 04:30:18 UTC
scamp-2.0.4-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 8 Fedora Update System 2015-02-07 03:58:12 UTC
scamp-2.0.4-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Fedora Update System 2015-02-07 04:01:24 UTC
scamp-2.0.4-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.